## $Id: raw_score_report.py 15040 2018-05-31 09:06:02Z henrik $
##
## Copyright (C) 2013 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##

import grok
from zope.interface import implementer, Interface, Attribute
from reportlab.lib.units import cm
from waeup.kofa.students.reports.raw_score_report import (
    RawScoreReport, RawScoreReportGenerator,
    IRawScoreReport, RawScoreReportGeneratorPage,
    RawScoreReportPDFView)

class CustomRawScoreReport(RawScoreReport):
    fontsize = 12

    @property
    def col_width(self):
        return [1*cm, 4*cm, 5*cm] + [1.5*cm] * len(self.certcourses)


class CustomRawScoreReportGenerator(RawScoreReportGenerator):

    def generate(self, site, faccode=None, depcode=None, certcode=None,
                 session=None, level=None, author=None):
        result = CustomRawScoreReport(faccode=faccode, depcode=depcode,
            certcode=certcode, session=session, level=level, author=author)
        return result
